complexFFT Class Reference

class complexFFT controls fftw plans and executes fwd/inv transforms More...

`#include <complexFFT.H>`

## Public Member Functions

| complexFFT (complexFFTData *d)
| fft init ... data pointed to by 'd'
| ~complexFFT ()
| fft deconstructor
void | switchData (complexFFTData *d)
| Use this to change associated fft data (for fft'ing)
void | fwdTransform ()
| Forward transform the data (in to out)
void | invTransform ()
| Inverse transform the data (out to in)

## Protected Attributes

complexFFTData * | data
| The pointer to the relevant data.

## Detailed Description

class complexFFT controls fftw plans and executes fwd/inv transforms

Examples
  complexFFTExample.cc.

Definition at line 67 of file complexFFT.H.

## Member Data Documentation

## data

complexFFTData* complexFFT::data

protected

The pointer to the relevant data.

Definition at line 77 of file complexFFT.H.

The documentation for this class was generated from the following file:

- complexFFT.H